FROM oven/bun:1.1.42-debian AS builder
WORKDIR /var/www/html

ENV NEXT_TELEMETRY_DISABLED=1
ENV DATABASE_URL="postgresql://dummy:dummy@dummy:5432/dummy"

COPY package.json package-lock.json ./
COPY prisma ./prisma/

RUN bun install --frozen-lockfile

RUN bunx prisma generate

COPY . .

RUN bun run build

FROM oven/bun:1.1.42-debian
WORKDIR /var/www/html

COPY --from=builder /var/www/html/package.json ./
COPY --from=builder /var/www/html/node_modules ./node_modules
COPY --from=builder /var/www/html/.next ./.next
COPY --from=builder /var/www/html/public ./public
COPY --from=builder /var/www/html/prisma ./prisma

VOLUME /var/www/html

CMD bun start
