export type PaymentType = {
	numberOfMonths: number;
	userId: string;
	deviceIds: string[];
	amount: number;
	paid: boolean;
};

export type TopupType = {
	amount: number;
	userId: string;
	paid: boolean;
};

interface IpAddress {
	ip: string;
	mask: number;
}

interface Ipv6Address {
	ip: string;
	prefix: number;
}

export interface MacAddress {
	ruleId?: number;
	name: string;
	macAddress: string;
}

export interface GroupProfile {
	groupId: string;
	site?: string;
	name: string;
	buildIn?: boolean;
	ipList?: IpAddress[];
	ipv6List?: Ipv6Address[];
	macAddressList?: MacAddress[];
	count: number;
	type: number;
	resource: number;
}

export interface OmadaResponse {
	errorCode: number;
	msg: string;
	result: {
		data: GroupProfile[];
	};
}
