import { PrismaClient } from "@prisma/client";

const prisma = new PrismaClient();

const DEFAULT_ISLANDS = ["Dharanboodhoo", "Feeali", "Nilandhoo", "Magoodhoo"];

async function main() {
	await prisma.user.upsert({
		where: {
			phoneNumber: "+9607780588",
		},
		update: {},
		create: {
			name: "Admin Admin",
			email: "admin@example.com",
			emailVerified: true,
			verified: true,
			address: "Sky villa",
			id_card: "A265117",
			dob: new Date("1990-01-01"),
			phoneNumber: "+9607780588",
			phoneNumberVerified: true,
			role: "ADMIN",
		},
	});

	const FAAFU_ATOLL = await prisma.atoll.create({
		data: {
			name: "F",
		},
	});

	const islands = DEFAULT_ISLANDS.map((name) => ({
		name,
		atollId: FAAFU_ATOLL.id,
	}));
	await prisma.island.createMany({
		data: islands,
	});
}

main()
	.then(() => prisma.$disconnect())
	.catch(async (e) => {
		console.error(e);
		await prisma.$disconnect();
		process.exit(1);
	});
